﻿<%@ Application Language="C#" %>
<%@ Import Namespace="System.Web.Routing" %>
<%@ Import Namespace="System.Web.DynamicData" %>

<script RunAt="server">
    public static void RegisterRoutes(RouteCollection routes) {
        MetaModel model = new MetaModel();
        
        // Uncomment this line to register your data context with the Dynamic Data engine.
        // Only set ScaffoldAllTables = true if you are sure that you want all your tables
        // to support a scaffold (i.e. templated) view.
        model.RegisterContext(typeof(NorthwindDataContext), new ContextConfiguration() { ScaffoldAllTables = true });

        routes.Add(new DynamicDataRoute("{table}/ListDetails.aspx") {
            Action = PageAction.List,
            ViewName = "ListDetails",
            Model = model
        });

        routes.Add(new DynamicDataRoute("{table}/ListDetails.aspx") {
            Action = PageAction.Details,
            ViewName = "ListDetails",
            Model = model
        });
        
        //routes.Add(new DynamicDataRoute("{table}/{action}.aspx") {
        //    Constraints = new RouteValueDictionary(new { action = "List|Details|Edit|Insert" }),
        //    Model = model
        //});
    }

    void Application_Start(object sender, EventArgs e) {
        RegisterRoutes(RouteTable.Routes);
    }

    void Application_End(object sender, EventArgs e) {
        //  Code that runs on application shutdown

    }

    void Application_Error(object sender, EventArgs e) {
        // Code that runs when an unhandled error occurs

    }

    void Session_Start(object sender, EventArgs e) {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e) {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }

</script>
